import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { IqDatepickerOptions } from './iq-datepicker-options';
import { IqDatepickerTranslations } from './iq-datepicker-translations';
import { ControlValueAccessor, FormControl } from '@angular/forms';
import 'rxjs/add/operator/debounceTime';
import 'rxjs/add/operator/distinctUntilChanged';
export declare class IqDatepickerComponent implements OnInit, ControlValueAccessor {
    private elementRef;
    selectedDate: Date;
    options: IqDatepickerOptions;
    translations: IqDatepickerTranslations;
    dateSelected: EventEmitter<Date>;
    calendarComponent: any;
    selectedDateInput: FormControl;
    calendarVisible: boolean;
    disabled: boolean;
    dateMask: any[];
    yearMask: RegExp[];
    monthMask: RegExp[];
    dayMask: RegExp[];
    yearIndex: any;
    monthIndex: any;
    dayIndex: any;
    propagateChange: (_: any) => void;
    defaults: IqDatepickerOptions;
    constructor(elementRef: ElementRef);
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    ngOnInit(): void;
    private setDefaults();
    onDateSelected(date: Date): void;
    private dateToString(date);
    clear(): void;
    showCalendar(): void;
    hideCalendar(): void;
    toggleCalendar(): void;
    handleKeyDown(event: any): void;
    handleClick(event: any): void;
    private buildDateMask();
}
